# $Revision: 1.26 $, $Date: 2010/03/10 19:34:33 $
Summary:	Nagios Notify Script
Summary(pl.UTF-8):	Skrypt powiadamiający dla Nagiosa
Name:		nagios-notify
Version:	0.13
Release:	3
License:	GPL v2
Group:		Applications
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	8e3e5adf7fdbb703d7e9bc5442562ca7
URL:		http://glen.alkohol.ee/nagios-notify/
Requires:	awk
Requires:	nagios-common
# notify via emails
Suggests:	/usr/lib/sendmail
# notify via jabber
Suggests:	nagios-alert-jabber
# notify to eggdrop bot (irc)
Suggests:	t0xirc
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios
%define		_sbindir	/usr/lib/nagios

%description
nagios-notify is template based notify script for Nagios.

You should use this script because:
- the templates are easily edited in text editor
- you won't be worried about if the command definition contains shell
  syntax errors (which Nagios happily discards without any trace in logs
  :/)
- you can change templates without restarting Nagios
- with advanced templates you can send richtext (even images!) over
  jabber if you use nagios-notify-jabber
- minimal dependency (just coreutils and awk that you most likely
  already have installed)

%description -l pl.UTF-8
nagios-notify to oparty na szablonach skrypt powiadamiający dla
Nagiosa.

Powody, dla których dobrze jest używać tego skryptu:
- szablony można łatwo modyfikować w edytorze tekstu,
- nie trzeba się zbytnio martwić jeśli definicje poleceń zawierają
  błędy składni powłoki (które Nagios ucina bez żadnego śladu w logach)
- można zmieniać szablony bez restartu Nagiosa
- przy użyciu zaawansowanych szablonów można wysyłać tekst wzbogacony
  (nawet z obrazkami) przez jabbera w przypadku używania pakietu
  nagios-notify-jabber
- minimalne zależności (tylko coreutils i awk, które zwykle i tak są
  zainstalowane)

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- %{name} < 0.10
%{__sed} -i -e 's,/usr/sbin/%{name},%{_sbindir}/%{name},' %{_sysconfdir}/plugins/%{name}.cfg
if [ -f /etc/rc.d/init.d/nagios ]; then
	%service -q nagios reload
fi

%triggerpostun -- %{name} < 0.12-0.7
# recover renamed configs
for a in %{_sysconfdir}/templates/*.rpmsave; do
	[ -f $a ] || continue
	f=${a%%.rpmsave}
	[ -f $f ] && cp -f $f{,.rpmnew}
	mv -f $f{.rpmsave,}
done
# copy from new files if originals weren't modified but removed by upgrade
for a in eggdrop jabber sms; do
	o=%{_sysconfdir}/templates/host-notify-by-$a.tmpl
	f=%{_sysconfdir}/templates/notify-host-by-$a.tmpl
	if [ ! -f $o ]; then
		cp -a $f $o
	fi
done
for a in eggdrop email jabber-embedimage jabber-richtext jabber sms; do
	o=%{_sysconfdir}/templates/notify-by-$a.tmpl
	f=%{_sysconfdir}/templates/notify-service-by-$a.tmpl
	if [ ! -f $o ]; then
		cp -a $f $o
	fi
done
%banner -e %{name}-0.12 <<'EOF'
Templates have been renamed to follow Nagios 3.0 naming.

They have been recovered by rpm trigger, but if you want to use new style
naming these commands might help you out quickly:

# grep -r host-notify-by- /etc/nagios -l | xargs sed -i -e 's,host-notify-by-,notify-host-by-,g'
# grep -r notify-by- /etc/nagios -l | xargs sed -i -e 's,notify-by-,notify-service-by-,g'

EOF

%files
%defattr(644,root,root,755)
%doc ChangeLog
%dir %{_sysconfdir}/templates
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/templates/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/plugins/%{name}.cfg
%attr(755,root,root) %{_sbindir}/nagios-notify

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-notify.spec,v $
Revision 1.26  2010/03/10 19:34:33  glen
- sendmail is optional; rel 3

Revision 1.25  2009/09/09 06:46:35  glen
- sendmail dep; suggests; rel 2

Revision 1.24  2009/07/28 10:16:09  glen
- Version 0.13: Nagios 3.1 compat.

Revision 1.23  2008/11/03 23:50:20  glen
- package ChangeLog

Revision 1.22  2008/11/03 23:44:34  glen
- fix md5

Revision 1.21  2008/11/03 23:43:08  glen
- sample commands for upgrade

Revision 1.20  2008/11/03 23:32:30  glen
- update to 0.12
- NOTE: templates have been renamed (trigger handles smooth upgrade)

Revision 1.19  2008/10/11 15:03:43  glen
- 0.11: added $(encode_mime_header:CHARSET,DATA) handler

Revision 1.18  2008/07/11 09:30:47  glen
- reload nagios if it's plugin configuration was changed; rel 3

Revision 1.17  2008/07/10 09:23:50  glen
- no global replace in trigger (avoids matching nagios-notify-jabber); rel 2

Revision 1.16  2008-05-30 05:50:49  glen
- no longer uses sed

Revision 1.15  2008-05-30 05:26:29  qboosh
- updated pl

Revision 1.14  2008-05-30 05:18:51  glen
- some propaganda

Revision 1.13  2008-04-08 11:29:27  glen
- update to 0.10, tool moved to /usr/lib/nagios

Revision 1.12  2008-04-08 09:38:13  arekm
- rel 2; NAGIOS_STATUSDATAFILE is empty here

Revision 1.11  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.10  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.9  2006/11/13 09:13:51  glen
- 0.9.5

Revision 1.8  2006/10/05 11:21:54  glen
- new URL ;)

Revision 1.7  2006/09/17 21:50:00  glen
- fix %files; rel 3

Revision 1.6  2006/09/04 09:52:24  glen
- rel 2

Revision 1.5  2006/09/04 08:39:30  qboosh
- pl

Revision 1.4  2006/08/04 00:07:37  glen
- 0.9.3: include plugin config

Revision 1.3  2006/08/03 23:47:42  glen
- 0.9.1: package templates, add deps

Revision 1.2  2006/08/03 12:34:19  glen
- noarch

Revision 1.1  2006/08/03 12:33:38  glen
- initial
